Error: Cannot find module 'm3u8stream/lib/parse-time'

Error: Cannot find module ‘m3u8stream/lib/parse-time’

Package.json:
{
“name”: “xxxx-xxx”,
“version”: “8.6.0”,
“description”: “”,
“engines”: {
“node”: “10.x”
},
“main”: “server.js”,
“scripts”: {
“test”: “echo “Error: no test specified” && exit 1”,
“start”: “node server.js”
},
“author”: “Xxxxxxx”,
“license”: “ISC”,
“dependencies”: {
“express”: “^4.17.1”,
“express-session”: “^1.16.1”,
“passport”: “^0.4.1”,
“passport-oauth2”: “^1.5.0”,
“discord.js”: “^11.5.1”,
“path”: “^0.12.7”,
“cookie-parser”: “^1.4.4”,
“lowdb”: “^1.0.0”,
“loggic”: “^3.8.43”,
“ejs”: “^2.7.1”,
“url”: “^0.11.0”,
“fs”: “^0.0.2”,
“passport-discord”: “^0.1.3”,
“marked”: “^0.8.0”,
“morgan”: “^1.9.1”,
“moment”: “^2.24.0”,
“moment-duration-format”: “^2.2.2”,
“btoa”: “^1.2.1”,
“node-fetch”: “^2.6.0”,
“mit”: “^0.1.3”,
“async”: “^3.1.0”,
“quick.db”: “^6.3.2”,
“parse-ms”: “^2.0.0”,
“sqlite”: “^3.0.3”,
“discord.js-commando”: “^0.10.0”,
“pidusage”: “^2.0.17”,
“os”: “^0.1.1”,
“common-tags”: “^1.8.0”,
“node-superfetch”: “^0.1.9”,
“discord.js-musicbot-addon”: “^13.8.1”,
“simple-youtube-api”: “^5.2.1”,
“ytdl-core”: “^1.0.6”,
“node-opus”: “^0.3.2”,
“snekfetch”: “^4.0.4”,
“util”: “^0.12.1”,
“enmap”: “^5.2.4”,
“enmap-level”: “^2.1.0”,
“canvas-constructor”: “^3.1.0”,
“canvas”: “^2.6.1”,
“http”: “^0.0.0”,
“http-status”: “^1.4.2”,
“mythical-api”: “^0.3.3”,
“cheerio”: “^0.22.0”,
“superagent”: “^5.1.3”,
“particles.js”: “^2.0.0”,
“query-string”: “^6.9.0”,
“yql”: “^1.0.2”,
“weather-js”: “^2.0.0”,
“youtube-search”: “^1.1.4”,
“morse-node”: “^0.1.1”,
“he”: “^1.2.0”,
“discord.js-minesweeper”: “^1.0.5”,
“google”: “^2.1.0”,
“node-weeb”: “^1.0.0”,
“wikipediajs”: “^1.4.0”,
“ytsearcher”: “^1.2.2”,
“got”: “^10.2.1”,
“dotenv”: “^8.2.0”,
“parse-time”: “^0.1.4”,
“m3u8stream”: “^0.6.4”,
“table”: “^5.4.6”,
“array-sort”: “^1.0.0”,
“youtube-api”: “^2.0.10”
},
“devEngines”: {
“node”: “>=10.x”
},
“devDependencies”: {
“eslint”: “^6.0.1”,
“eslint-config-prettier”: “^5.1.0”,
“eslint-plugin-promise”: “^4.2.1”,
“prettier”: “^1.18.2”
}
}

Please

Hey @iiHuss,

Can you try running enable-pnpm in the Console so that it re-installs all the packages?

@iiHuss Welcome

Can you try running cp -r ./node_modules/m3u8stream/dist ./node_modules/m3u8stream/lib in the cosole, it is suggested by a person on Stackoverflow: Link

Hello! When this problem occurs, I try this:
pnpm uninstall ytdl-core
pnpm i ytdl-core
Try these with the order. It solves the problem everytime, for me and my friends.

1 Like